<% let loa_levels = { unknown: 0, low: 1, medium: 2, high: 3 } %>

<div class="clipboard__page container-fluid">
  <div class="background-white">
    <div class="clipboard__manager">
      <span class="clipboard__manager-drag material-icons-outlined">drag_handle</span>
      <div class="clipboard__manager-content">
        <div class="clipboard__manager-edit" data-bs-toggle="tooltip" data-bs-placement="top" title='<%=dictionary.tooltips.edit%>'>
          <div class="dropdown">
            <input disabled class="clipboard__manager-edit-input" type="button" value="<%=dictionary.clipboard_manage.edit%>" id="dropdownMenuButton" data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
              <a class="dropdown-item <% if(loa_levels[loa_min] > 1) {%> disabled <%}%>" href="javascript:void(0)" data-name='manual'><span class="dropdown-icon material-icons-outlined">edit</span><%=dictionary.clipboard_manage.manually%></a>
              <a class="dropdown-item <% if(loa_levels[loa_min] > 2) {%> disabled <%}%>" href="javascript:void(0)" data-name='facebook'><i class="dropdown-icon fab fa-facebook-square facebook"></i><%=dictionary.clipboard_manage.fb%></a>
              <a class="dropdown-item <% if(loa_levels[loa_min] > 2) {%> disabled <%}%>" href="javascript:void(0)" data-name='linkedin'><i class="dropdown-icon fab fa-linkedin linkedin"></i><%=dictionary.clipboard_manage.linkedin%></a>
              <a class="dropdown-item <% if(loa_levels[loa_min] > 3) {%> disabled <%}%>" href="javascript:void(0)" data-name='gov_rdo'><span class="dropdown-icon material-icons-outlined">language</span><%=dictionary.clipboard_manage.gov_rdo%></a>
              <a class="dropdown-item <% if(loa_levels[loa_min] > 3) {%> disabled <%}%>" href="javascript:void(0)" data-name='gov_pesel'><span class="dropdown-icon material-icons-outlined">language</span><%=dictionary.clipboard_manage.gov_pesel%></a>
              <a class="dropdown-item modal-item <% if(loa_levels[loa_min] > 2) {%> disabled <%}%>" href="javascript:void(0)" data-name='upload' ><span class="dropdown-icon material-icons-outlined">document_scanner</span><%=dictionary.clipboard_manage.scan%></a>
            </div>
          </div>
        </div>
        <span class="clipboard__manager-button clipboard__manager-delete" data-bs-toggle="tooltip" data-bs-placement="top" title='<%=dictionary.tooltips.delete%>'><%=dictionary.delete%></span>
        <span type="button" class="clipboard__manager-button clipboard__manager-cancel" onclick="cancelBCData()" data-bs-toggle="tooltip" data-bs-placement="top" title='<%=dictionary.tooltips.cancel%>'><%=dictionary.cancel%></span>
        <span type="button" class="clipboard__manager-button clipboard__manager-accept" onclick="sendBCData()" data-bs-toggle="tooltip" data-bs-placement="top" title='<%=dictionary.tooltips.forward%>'><%=dictionary.accept%></span>
      </div>
      <div class="clipboard__manager-content-alternative">
        <!-- data-bs-toggle="tooltip" data-bs-placement="top" title='<%=dictionary.tooltips.manual_reject%>' -->
        <span type="button" onclick="manualModReject()" class="clipboard__manager-button clipboard__manager-manual-reject"><%=dictionary.manual_reject%></span>
        <!-- data-bs-toggle="tooltip" data-bs-placement="top" title='<%=dictionary.tooltips.manual_save%>' -->
        <span type="button" onclick="manualModSave()" class="clipboard__manager-button clipboard__manager-manual-save"><%=dictionary.manual_save%></span>
      </div>
    </div>
  </div>
  <nav aria-label="breadcrumb" class="clipboard__manage-breadcrumb">
    <ol class="breadcrumb">
      <li class="breadcrumb-item active" aria-current="page"><%=dictionary.clipboard_manage.header%></li>
    </ol>
  </nav>

  <div class="warning" style=<% if(loa_min === 'high') {%><%='background:var(--bs-green)'%><%} else if(loa_min === 'medium') {%> <%='background:var(--bs-orange)'%><%} else if(loa_min === 'low') {%><%='background:var(--bs-red)'%><%} else {%><%='background:black'%><%}%>>
    <p class="warning__text" data-loa=<%=loa_min%>><%= dictionary.loa.business_client_text%> <%= dictionary.loa[loa_min] %></p>
  </div>

  <label class="select__all"><input class="select__all-checkbox form-check-input" type="checkbox" id="checkboxNoLabel" value="" aria-label="clipboard__manage-checkbox"><%=dictionary.clipboard_manage.select_all%></label>

  <% if(data != 'undefined') {%>
  <% for (const [key, value] of Object.entries(data)) { %>
    <%   const pages = key.split(' / '); %>
    <%   let nextPage = dictionary; %>
    <%   let page; %>
    <%   let breadcrumbTranslated = ''; %>
    <%   for(let i = 0; i < pages.length; i++) { %>
    <%     page = nextPage.page[pages[i]]; %>
    <%     i === pages.length - 1 ? (breadcrumbTranslated += page.name) : (breadcrumbTranslated += page.name + ' / '); %>
    <%     nextPage = page; %>
    <%  } %>
    <% let loa; %>
    <% for(const obj of value) { %>
      <% (obj.loa === 'high' && loa != 'medium' && loa != 'low') && (loa = obj.loa) %>
      <% (obj.loa === 'medium' && loa != 'low') && (loa = obj.loa) %>
      <% obj.loa === 'low' && (loa = obj.loa) %>
    <% }%>
    <div class="clipboard__item-container">
      <span class="clipboard__manage-category" data-label="<%=key%>"><%=breadcrumbTranslated%></span>
      <span class="clipboard__manage-loa" style=<% if(loa === 'high') {%><%='color:green'%><%} else if(loa === 'medium') {%> <%='color:orange'%><%} else if(loa === 'low') {%><%='color:red'%><%} else {%><%='color:black'%><%}%>><%=dictionary.loa.name%> <%=dictionary.loa[loa]%></span>
      <div class="clipboard__manage-section row">
        <div class="col col-12">
          <div class="clipboard__card">
            <ul class="clipboard__card-list">
              <% i = 0; %>
              <% for(clipboardItem of value) { i++ %>
              <li class="clipboard__list-item" data-loa=<%=clipboardItem.loa%>>
                <div class="clipboard__checkbox-group">
                  <input class="form-check-input" type="checkbox" id="checkboxNoLabel" value="" aria-label="clipboard__manage-checkbox" <% if(loa_levels[clipboardItem.loa] < loa_levels[loa_min]) {%>checked<%}%>>
                  <span class="clipboard__list-item__text">
                    <% if(clipboardItem.dataLabel != 'picture') { %>
                    <span class="clipboard__list-item__primary-text"><%= clipboardItem.dataValue %></span>
                    <span class="clipboard__list-item__secondary-text" data-label="<%=clipboardItem.dataLabel%>"><%= page.dataLabels[clipboardItem.dataLabel] %></span>
                    <% } else { %>
                      <span class="clipboard__list-item__primary-text">
                      <img src='<%=clipboardItem.dataValue%>' alt="" style="display:inline-block; width:72px; height:90px;">
                      </span>
                      <span class="clipboard__list-item__secondary-text" data-label="<%=clipboardItem.dataLabel%>"><%= page.dataLabels[clipboardItem.dataLabel] %></span>
                    <% } %>
                  </span>
                </div>
                </li>
                <% if(value.length === i) break %>
              <li role="separator" class="mdc-list-divider"></li>
              <% } %>
            </ul>
          </div>
        </div>
      </div>
     </div>
  <% } %>
  <% } %>

  <!-- <div class="">
    <input type="button" name="" value="przekaż dane">
  </div> -->

  <!-- <script src="/js/clipboard/ocr_config.js" charset="utf-8"></script>
  <script src="/js/clipboard/main.js" charset="utf-8"></script>
  <script src="/js/clipboard/ocr.js" charset="utf-8"></script>
  <script src="/js/clipboard/social_media.js" charset="utf-8"></script>
  <script src="/js/clipboard/gov.js" charset="utf-8"></script>
  <script src="/js/clipboard/krs.js" charset="utf-8"></script>
  <script src="/js/clipboard/ceidg.js" charset="utf-8"></script>
  <script src="/js/clipboard/manual.js" charset="utf-8"></script>
  <script src="/js/businessClient/business_client.js" charset="utf-8"></script> -->


  <script src="/js/clipboard/ocr_config.js" charset="utf-8"></script>
  <script src="/js/clipboard/main.js" charset="utf-8"></script>
  <script src="/js/clipboard/forward_data.js" charset="utf-8"></script>
  <script src="/js/clipboard/ocr.js" charset="utf-8"></script>
  <!-- facebook -->
  <script type="text/javascript">
    window.fbAsyncInit = () => {
      FB.init({
        appId: "876070029684187",
        autoLogAppEvents: true,
        xfbml: true,
        version: "v11.0",
      });
    };
  </script>
  <script async defer crossorigin="anonymous" src="https://connect.facebook.net/pl_PL/sdk.js#xfbml=1&version=v12.0&appId=876070029684187&autoLogAppEvents=1" nonce="le2Rq7GZ"></script>
  <script src="/js/clipboard/social_media.js" charset="utf-8"></script>
  <script src="/js/clipboard/gov.js" charset="utf-8"></script>
  <script src="/js/clipboard/krs.js" charset="utf-8"></script>
  <!-- <script src="/js/clipboard/vat.js" charset="utf-8"></script> -->
  <script src="/js/clipboard/ceidg.js" charset="utf-8"></script>
  <script src="/js/clipboard/manual.js" charset="utf-8"></script>
  <script src="/js/businessClient/business_client.js" charset="utf-8"></script>
